/*
** scansbr.h -- definitions for scan()
*/

extern char *scanl;

#define SCNMSG  1     /* message just fine                    */
#define SCNEOF  0     /* empty message                        */
#define SCNERR  (-1)  /* error message                        */
#define SCNNUM  (-2)  /* number out of range                  */
#define SCNFAT  (-3)  /* fatal error                          */

/*
** default format for `scan' and `inc'
*/
# define FORMAT \
"=%4(msg)%<(cur)+%| %>%<{replied}-%| %>\
%4(year{date})-%02(mon{date})-%02(mday{date}) %02(hour{date}):%02(min{date})  \
%<(mymbox{from})%<{to}To:%14(decode(friendly{to}))%>%>\
%<(zero)%17(decode(friendly{from}))%>  %(decode{subject})\n"

#define WIDTH  78

#define SCN_MBOX (-1)
#define SCN_FOLD 0

/*
** prototypes
*/
int scan(FILE *, int, int, char *, int, int, int);
